Oudere versies worden vanaf 1 januari 2021 niet meer ondersteund

.
Gepubliceerd op: 15 juni 2020

 

Dienstverleners die een oudere versie (ook wel koppelvlak genoemd) van eHerkenning gebruiken, moeten op korte termijn overstappen op een nieuwe versie. Per 1 januari 2021 worden versies ouder dan eHerkenning 1.9 namelijk niet meer ondersteund. Dit betekent dat eHerkenning vanaf het nieuwe jaar niet meer werkt bij organisaties die aangesloten zijn op een oudere versie.

 

Wat is er precies aan de hand?
eHerkenning wordt continu doorontwikkeld. Elke nieuwe versie brengt verbeteringen met zich mee, zoals beveiligingsupdates en nieuwe functionaliteiten. Om eHerkenning veilig te houden en een hoge kwaliteit van de dienstverlening te waarborgen, is het dus belangrijk om verouderde versies uit te faseren. Het Afsprakenstelsel Elektronische Toegangsdiensten (ETD-stelsel) bepaalt hoe en wanneer dit gebeurt.  

De laatste drie verplichte versies van eHerkenning worden ondersteund. De meest recente versie is eHerkenning 1.13. Dit betekent dat per 1 januari 2021 alle versies vóór 1.9 niet meer ondersteund worden. 

Wat betekent dit voor mij als klant?
Dienstverleners die gebruikmaken van een verouderde versie van eHerkenning, moeten voor 1 januari 2021 zijn overgestapt. Anders werkt eHerkenning na die datum niet meer. 

Wat u precies moet doen, is afhankelijk van de versie van eHerkenning die u momenteel gebruikt en de versie waarop u overstapt. In ieder geval zullen enkele configuraties moeten worden aangepast. Zo is het sinds de introductie van eHerkenning 1.13 verplicht om een certificaat toe te voegen aan de dienst in de dienstencatalogus van eHerkenning. 

Een nieuwe versie van eHerkenning heeft ook andere specificaties, waardoor zowel uw metadata als die van Signicat (voorheen Connectis) wijzigen. Als u aangesloten bent op eHerkenning via Signicat (voorheen Connectis), moeten we elkaars metadata gelijktijdig inlezen om gegevens uit te kunnen wisselen. Hiervoor kunt u contact opnemen met onze technical supportafdeling

Hoe kan ik dit proces vereenvoudigen?
We begrijpen dat de overstap naar een nieuwe versie van eHerkenning behoorlijk complex kan zijn. Wij helpen u graag om dit proces zo eenvoudig mogelijk voor u te maken. Meer informatie vindt u bij de veelgestelde vragen. Uiteraard ondersteunen we u ook graag als u er zelf niet helemaal uitkomt.

Verder adviseren we u om over te stappen op de nieuwste versie (eHerkenning 1.13). De versies 1.11 en 1.9 worden straks weliswaar ook nog ondersteund, maar deze versies zullen ook eerder uitgefaseerd worden. Met een keuze voor eHerkenning 1.13 bent u langer van een ondersteunde versie voorzien. 

Maakt u gebruik van de Signicat (voorheen Connectis) Identity Broker? Dan sluiten wij u aan op nieuwe koppelvlakken en heeft u hier zelf geen omkijken naar. U kunt de Signicat Identity Broker nu gratis uitproberen. Vraag de Signicat Identity Broker Trial aan en bekijk welke functionaliteiten voor u nog meer interessant kunnen zijn!